OpenTTD Source: MpsMachine::Channel Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
MpsMachine::Channel Struct Reference

Starting parameter and playback status for one channel/track. More...

## Data Fields
uint8_t | cur_program = 0xFF
| program selected, used for velocity scaling (lookup into programvelocities array)
uint8_t | running_status = 0
| last midi status code seen
uint16_t | delay = 0
| frames until next command
uint32_t | playpos = 0
| next byte to play this channel from
uint32_t | startpos = 0
| start position of master track
uint32_t | returnpos = 0
| next return position after playing a segment

## Detailed Description

Starting parameter and playback status for one channel/track.

Definition at line 508 of file midifile.cpp.

## Field Documentation

## ◆ cur_program

uint8_t MpsMachine::Channel::cur_program = 0xFF

program selected, used for velocity scaling (lookup into programvelocities array)

Definition at line 509 of file midifile.cpp.

Referenced by MpsMachine::PlayChannelFrame().

## ◆ delay

uint16_t MpsMachine::Channel::delay = 0

frames until next command

Definition at line 511 of file midifile.cpp.

Referenced by MpsMachine::PlayFrame(), and MpsMachine::RestartSong().

## ◆ playpos

uint32_t MpsMachine::Channel::playpos = 0

next byte to play this channel from

Definition at line 512 of file midifile.cpp.

Referenced by MpsMachine::PlayChannelFrame(), MpsMachine::PlayFrame(), and MpsMachine::RestartSong().

## ◆ returnpos

uint32_t MpsMachine::Channel::returnpos = 0

next return position after playing a segment

Definition at line 514 of file midifile.cpp.

Referenced by MpsMachine::PlayChannelFrame().

## ◆ running_status

uint8_t MpsMachine::Channel::running_status = 0

last midi status code seen

Definition at line 510 of file midifile.cpp.

Referenced by MpsMachine::PlayChannelFrame().

## ◆ startpos

uint32_t MpsMachine::Channel::startpos = 0

start position of master track

Definition at line 513 of file midifile.cpp.

Referenced by MpsMachine::RestartSong().

The documentation for this struct was generated from the following file:

- src/music/midifile.cpp